Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class RawAuditEvent

    java.lang.Object
      oracle.ifs.common.RawAuditEvent

All Implemented Interfaces:
  java.io.Serializable

    public final class RawAuditEvent

extends java.lang.Object
implements java.io.Serializable

A RawAuditEvent represents an Audit event in the process of being posted to the database, or one that has been saved and is ready for dispatching.

See Also:
  Serialized Form

Constructor Summary
`RawAuditEvent(AuditEvent auditEvent, long folderContextId, long folderPathId, boolean inObjHistory)` Constructs a RawAuditEvent.

Method Summary
`AuditEvent` | `getAuditEvent()` Gets the audit event that was posted.
`long` | `getFolderContextId()` Gets the ID of the first folder in the path, which is used as the folder context for the event.
`long` | `getFolderPathId()` Gets the ID of the folder path audit context entry.
`boolean` | `isInObjectHistory()` Gets whether the event should be considered part of the object history.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawAuditEvent

    public RawAuditEvent(AuditEvent auditEvent,
                         long folderContextId,
                         long folderPathId,
                         boolean inObjHistory)

  Constructs a RawAuditEvent.

  Parameters:
    `auditEvent` - the posted audit event
    `folderContextId` - the ID of the first folder in the path
    `folderPathId` - the ID of the folder path audit context entry
    `inObjHistory` - whether the event should be considered part of the object history

Method Detail

### getAuditEvent

    public AuditEvent getAuditEvent()

  Description copied from class: `RawAuditEvent`
  Gets the audit event that was posted.

  Returns:
    the audit event

### getFolderContextId

    public long getFolderContextId()

  Description copied from class: `RawAuditEvent`
  Gets the ID of the first folder in the path, which is used as the folder context for the event.

  Returns:
    the first (lowest) folder in the path

### getFolderPathId

    public long getFolderPathId()

  Description copied from class: `RawAuditEvent`
  Gets the ID of the folder path audit context entry.

  Returns:
    the folder path context ID

### isInObjectHistory

    public boolean isInObjectHistory()

  Description copied from class: `RawAuditEvent`
  Gets whether the event should be considered part of the object history.

  Returns:
    true if the event should be considered part of the object history; false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD